Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7349 - restoring time after suspend mode on notebook
Summary: restoring time after suspend mode on notebook
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: timeconfig
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-26 14:11 UTC by stephan
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 20:45:31 UTC


Attachments (Terms of Use)

Description stephan 1999-11-26 14:11:39 UTC
After having installed RedHat 6.1 on my Sony VAIO PCG-N505X notebook, I
discovered the following time-related bug. I am also running Windows 98 on
the notebook which interprets the RTC as the local time. Under linux I have
specified the 'Europe/Amsterdam' timezone and also the entry UTC in
/etc/sysconfig/clock is set to false.

After booting linux the time is OK (meaning the RTC is interpreted as the
local time), but somehow after suspend mode, the time is increased with one
hour. This is probably, due to the wrong interpretation of the RTC as the
GMT/UTC time which leads to adding one hour to the time.

Basically, after booting the time is correct, but after suspend the time is
wrong.

Comment 1 Bill Nottingham 2000-02-05 20:45:59 UTC
You need to recompile the kernel and change the setting
under APM that specifies whether the hardware clock
is in UTC or not.


Note You need to log in before you can comment on or make changes to this bug.